
TYPO3.Neos - Task # 7352

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2010-04-19 Assigned To: Nils Dehl
Updated: 2012-08-31 Due date:
Subject: Implement selenium tests
Description

.

Related issues:
related to Base Distribution - Story # 7214: As a Editor I want to login and ... Resolved 2010-04-11
related to TYPO3.Neos - Task # 7450: Selenium RC Server Resolved 2010-04-23

Associated revisions
Revision 0ac1155b - 2010-05-03 12:16 - Karsten Dambekalns

[~TASK] TYPO3 Demo Distribution: Fixed PHP code in Tests/Selenium, relates to #7352. Most changes are related to coding style, fixed license
inconsistency as well.

Revision ad82ac54 - 2010-05-04 13:21 - Karsten Dambekalns

[+TASK] TYPO3 Demo Distribution: Added Selenium task to Phing scripts, relates to #7356.
[~TASK] TYPO3 Demo Distribution: Some changes to Selenium test code, relates to #7352.

Revision 02c81901 - 2010-05-14 18:45 - Karsten Dambekalns

[+TASK] TYPO3 Demo Distribution: Added tests for frontend rendering, relates to #7352.

Revision 2f2e4520 - 2010-05-14 21:01 - Christopher Hlubek

[~TASK] TYPO3 Demo Distribution: Fixed wrong path in Selenium test, relates to #7352.

History
#1 - 2010-05-01 18:47 - Daniel Poetzinger

I started with that one

#2 - 2010-05-01 21:52 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Daniel Poetzinger
- Start date set to 2010-05-01

#3 - 2010-05-02 14:25 - Daniel Poetzinger
- Status changed from Accepted to Needs Feedback
- Assigned To deleted (Daniel Poetzinger)
Commited to Demo/trunk waiting for review and Test with official RC Server

#4 - 2010-05-03 11:41 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Assigned To set to Karsten Dambekalns
- % Done changed from 0 to 40

#5 - 2010-05-03 12:16 - Karsten Dambekalns

Well, well... please take a minute to check my changes and have a look at the CGL and the existing code! Really, tiny stuff matters as much as the big
chunks.
About the tests:
    -  Is it really clever to check for the ids of the automatically generated ExtJS stuff? I am no expert, but I would fear this to be unstable...
    -  The test loginWithCorrectCredentialsWorks checks for the presence of "Wrong username or password", which seems wrong.

As soon as possible we'll try to run this on the test system.

#6 - 2010-05-03 12:25 - Nils Dehl

Karsten Dambekalns wrote:

Well, well... please take a minute to check my changes and have a look at the CGL and the existing code! Really, tiny stuff matters as much as the
big chunks.
About the tests:    -  Is it really clever to check for the ids of the automatically generated ExtJS stuff? I am no expert, but I would fear this to be
unstable...

do not use the extjs IDs for the tests, they can change from rendering to rendering

#7 - 2010-05-04 13:36 - Karsten Dambekalns
- Status changed from Accepted to New
- Assigned To deleted (Karsten Dambekalns)
- % Done changed from 40 to 50

The basics work, now the actual tests need to be written.

#8 - 2010-05-04 16:08 - Nils Dehl
- Status changed from New to Accepted
- Assigned To set to Nils Dehl

I'll change the current tests and 'll replace the id selectors to xpath selectors

#9 - 2010-05-04 22:53 - Nils Dehl
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100
changed id selectors to xpath selectors in r946
daniel did some optimization to wait on ajax responses and redirects in r947

#10 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)

#11 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
